cdac.medinfo.sdk.hl7282.baselibs.segments

## Class EQP

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.EQP

- All Implemented Interfaces:
    ISegment

      public class EQP
      extends Segment

  EQP - Equipment Log/Service Segment

  The equipment log/service segment is the data necessary to maintain an adequate audit trail of events that have occurred on a particular piece of equipment.

  Represents an HL7 EQP message segment. This segment has the following fields:

  EQP-1: Event type (CWE)Required
  EQP-2: File Name (ST)Optional
  EQP-3: Start Date/Time (DTM)Required
  EQP-4: End Date/Time (DTM)Optional
  EQP-5: Transaction Data (FT)Required

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EQP()` Constructs the EQP segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DTM` | `getEndDate_Time()` Retrieves the End Date Time.
    `CWE` | `getEventtype()` Retrieves the Event type.
    `ST` | `getFileName()` Retrieves the File Name.
    `DTM` | `getStartDate_Time()` Retrieves the Start Date Time.
    `FT` | `getTransactionData()` Retrieves the Transaction Data.
    `void` | `setEndDate_Time(DTM objEndDate_Time)` Set the End Date Time.
    `void` | `setEndDate_Time(java.lang.String strDate)` Set the End Date Time.
    `void` | `setEventtype(CWE objEventtype)` Set the Event type.
    `void` | `setEventtype(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Event type.
    `void` | `setFileName(ST objFileName)` Set the File Name.
    `void` | `setFileName(java.lang.String strFileName)` Set the File Name.
    `void` | `setStartDate_Time(DTM objStartDate_Time)` Set the Start Date Time.
    `void` | `setStartDate_Time(java.lang.String strDate)` Set the Start Date Time.
    `void` | `setTransactionData(FT objTransactionData)` Set the Transaction Data.
    `void` | `setTransactionData(java.lang.String strTransactionData)` Set the Transaction Data.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EQP

          public EQP()

      Constructs the EQP segment.

  - ### Method Detail

    - #### setEventtype

          public void setEventtype(java.lang.String strIdentifier,
                          java.lang.String strText,
                          java.lang.String strNameOfCodingSystem,
                          java.lang.String strAlternateIdentifier,
                          java.lang.String strAlternateText,
                          java.lang.String strNameOfAlternateCodingSystem,
                          java.lang.String strCodingSystemVersionID,
                          java.lang.String strAlternateCodingSystemVersionId,
                          java.lang.String strOriginalText,
                          java.lang.String strSecondAlternateIdentifier,
                          java.lang.String strSecondAlternateText,
                          java.lang.String strNameofSecondAlternateCodingSystem,
                          java.lang.String strSecondAlternateCodingSystemVersionID,
                          java.lang.String strCodingSystemOID,
                          java.lang.String strValueSetOID,
                          java.lang.String strValueSetVersionID,
                          java.lang.String strAlternateCodingSystemOID,
                          java.lang.String strAlternateValueSetOID,
                          java.lang.String strAlternateValueSetVersionID,
                          java.lang.String strSecondAlternateCodingSystemOID,
                          java.lang.String strSecondAlternateValueSetOID,
                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the Event type. This field identify the type of event of the message.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setEventtype

          public void setEventtype(CWE objEventtype)

      Set the Event type. This field identify the type of event of the message.
      Parameters:
        `objEventtype` -

    - #### setFileName

          public void setFileName(java.lang.String strFileName)

      Set the File Name. This field specify the physical file name that is use to store information about the transmitted log and/or service event.
      Parameters:
        `strFileName` - The name of the party

    - #### setFileName

          public void setFileName(ST objFileName)

      Set the File Name. This field specify the physical file name that is use to store information about the transmitted log and/or service event.
      Parameters:
        `objFileName` - Object of File Name.

    - #### setStartDate_Time

          public void setStartDate_Time(java.lang.String strDate)

      Set the Start Date Time. This field specify the date/time of the started event.
      Parameters:
        `strDate` - Specifies a point in time using a 24-hour clock notation. *

    - #### setStartDate_Time

          public void setStartDate_Time(DTM objStartDate_Time)

      Set the Start Date Time. This field specify the date/time of the started event.
      Parameters:
        `strDate` - Specifies a point in time using a 24-hour clock notation.
        `objStartDate_Time` - Object of Start Date Time.

    - #### setEndDate_Time

          public void setEndDate_Time(java.lang.String strDate)

      Set the End Date Time. This field specify the date/time of the event completion.
      Parameters:
        `strDate` - Specifies a point in time using a 24-hour clock notation. *

    - #### setEndDate_Time

          public void setEndDate_Time(DTM objEndDate_Time)

      Set the End Date Time. This field specify the date/time of the event completion.
      Parameters:
        `objEndDate_Time` - Object of End Date Time.

    - #### setTransactionData

          public void setTransactionData(java.lang.String strTransactionData)

      Set the Transaction Data. This field specify the data of the log and/or service event.
      Parameters:
        `strTransactionData` - This field contains the String Value of Sender Comment

    - #### setTransactionData

          public void setTransactionData(FT objTransactionData)

      Set the Transaction Data. This field specify the data of the log and/or service event.
      Parameters:
        `objTransactionData` - Object of Transaction Data.

    - #### getEndDate_Time

          public DTM getEndDate_Time()

      Retrieves the End Date Time. This field specify the date/time of the event completion.
      Returns:
        DTM - endDate_Time

    - #### getEventtype

          public CWE getEventtype()

      Retrieves the Event type. This field identify the type of event of the message.
      Returns:
        CWE - eventtype

    - #### getFileName

          public ST getFileName()

      Retrieves the File Name. This field specify the physical file name that is use to store information about the transmitted log and/or service event.
      Returns:
        String - fileName

    - #### getStartDate_Time

          public DTM getStartDate_Time()

      Retrieves the Start Date Time. This field specify the date/time of the started event.
      Returns:
        DTM - startDate_Time

    - #### getTransactionData

          public FT getTransactionData()

      Retrieves the Transaction Data. This field specify the data of the log and/or service event.
      Returns:
        String - transactionData

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails